Package org.gradle.platform.base

## Interface ProjectDependencySpecBuilder

- All Superinterfaces:
    `DependencySpecBuilder`

      @Incubating
      public interface ProjectDependencySpecBuilder
      extends DependencySpecBuilder

  A builder of a `ProjectDependencySpec`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProjectDependencySpecBuilder` | `library​(java.lang.String name)` | Narrows this dependency specification down to a specific library.
    `ProjectDependencySpecBuilder` | `project​(java.lang.String path)` | Narrows this dependency specification down to a specific project.

    - ### Methods inherited from interface org.gradle.platform.base.DependencySpecBuilder

      `build`

- - ### Method Detail

    - #### project

          ProjectDependencySpecBuilder project​(java.lang.String path)

      Narrows this dependency specification down to a specific project.
      Parameters:
        `path` - the project path
      Returns:
        this instance

    - #### library

          ProjectDependencySpecBuilder library​(java.lang.String name)

      Narrows this dependency specification down to a specific library.
      Parameters:
        `name` - the library name
      Returns:
        this instance